//! Typed time file for cassiopeia
//!
//! This data gets generated by the `format` module, and can later be
//! used to generate new files, and perform various lookups and
//! analysis tasks.

use crate::format::LineCfg;
use chrono::{Date, DateTime, FixedOffset as Offset};
use std::collections::BTreeMap;

#[derive(Default)]
pub struct TimeFile {
    header: BTreeMap<String, String>,
    sessions: Vec<Session>,
    invoices: Vec<Date<Offset>>,
}

impl TimeFile {
    pub(crate) fn append(self, line: LineCfg) -> Self {
        println!("{:?}", line);

        self
    }
}

pub struct Session {
    start: DateTime<Offset>,
    stop: DateTime<Offset>,
}
