//! cassiopeia file format

mod lexer;
mod parser;

pub(crate) use lexer::{LineLexer, LineToken, Token};
pub(crate) use parser::LineCfg;

use crate::TimeFile;
use std::{fs::File, io::Read};

pub(crate) fn load_file(path: &str) {
    let mut f = File::open(path).unwrap();
    let mut content = String::new();
    f.read_to_string(&mut content).unwrap();

    let mut lines: Vec<String> = content.split("\n").map(|l| l.to_owned()).collect();

    lines
        .iter_mut()
        .map(|line| lexer::lex(line))
        .map(|lex| parser::parse(lex))
        .filter(|line| line.valid())
        .fold(TimeFile::default(), |file, line| file.append(line));
}
